package com.tofly.feesapi.common.constant;

import com.baomidou.mybatisplus.annotation.IEnum;
import lombok.Getter;

/**
 * 阶梯计算类型
 */
@Getter
public enum JtjslxEnum implements IEnum<Integer> {
    正常(0, ""),
    月阶梯(1, ""),
    年阶梯(2, "");

    JtjslxEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    private Integer value;
    private String desc;

    @Override
    public Integer getValue() {
        return this.value;
    }
}